FreeBSD Samba 4.4.12 アップグレード成功

先日アップグレードに失敗していた Samba 4.4.12 の ports が整備されました。そのためアップグレードにも成功しました。

アップグレードに失敗していた原因は devel/p5-Parse-Pidl が古いバージョンであったためのようで、今回のアップグレードでは devel/p5-Parse-Pidl44 がインストールされました。ただし、samba44 の関連アップグレードでは devel/p5-Parse-Pidl44 のアップグレード・インストールが出来ないため、エラーで終了しました。

Installing p5-Parse-Pidl44-4.4.12…
pkg-static: p5-Parse-Pidl44-4.4.12 conflicts with p5-Parse-Pidl-4.6.1 (installs files into the same place). Problematic file: /usr/local/bin/pidl
*** Error code 70

その後、devel/p5-Parse-Pidl44 を手動でインストールして samba44 をインストールすることができました。

.

アップグレードの手順は以下の通りです。

devel/p5-Parse-Pidl44 のインストール

・メタデータの変更

# pkg set -o devel/p5-Parse-Pidl:devel/p5-Parse-Pidl44
Change origin from devel/p5-Parse-Pidl to devel/p5-Parse-Pidl44 for p5-Parse-Pidl-4.6.1? [y/N]: y

.

・devel/p5-Parse-Pidl44 のインストール

# portmaster devel/p5-Parse-Pidl44
===>>> Upgrade of p5-Parse-Pidl-4.6.1 to p5-Parse-Pidl44-4.4.12 complete

.

net/samba44 のアップグレード

・net/samba44 のインストール

# portmaster -d net/samba44

.

・samba44 の再起動

# service samba_server restart
Performing sanity check on Samba configuration: OK
Stopping smbd.
Waiting for PIDS: 25053.
Stopping nmbd.
Waiting for PIDS: 25049.
Performing sanity check on Samba configuration: OK
Starting nmbd.
Starting smbd.

.

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト /  変更 )

Google フォト

Google アカウントを使ってコメントしています。 ログアウト /  変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト /  変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト /  変更 )

%s と連携中